Ruby: ext/io/console/console.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Functions
console.c File Reference
`#include "ruby.h"`
`#include "ruby/io.h"`
`#include "ruby/thread.h"`

Go to the source code of this file.

## Data Structures
struct | rawmode_arg_t
struct | ttymode_callback_args
struct | query_args

## Macros
#define | SET_LAST_ERROR (0)
#define | sys_fail_fptr(fptr) rb_sys_fail_str((fptr)->pathv)
#define | GetReadFD(fptr) ((fptr)->fd)
#define | GetWriteFD(fptr) get_write_fd(fptr)
#define | FD_PER_IO 2
#define | console_check_winsize_changed rb_f_notimplement
#define | console_key_pressed_p rb_f_notimplement
#define | CONSOLE_DEVICE_FOR_READING CONSOLE_DEVICE

## Functions
void | Init_console (void)
void | InitVM_console (void)

## Macro Definition Documentation

## ◆ console_check_winsize_changed

#define console_check_winsize_changed rb_f_notimplement

Definition at line 899 of file console.c.

## ◆ CONSOLE_DEVICE_FOR_READING

#define CONSOLE_DEVICE_FOR_READING CONSOLE_DEVICE

## ◆ console_key_pressed_p

#define console_key_pressed_p rb_f_notimplement

Definition at line 1374 of file console.c.

## ◆ FD_PER_IO

#define FD_PER_IO 2

Definition at line 284 of file console.c.

## ◆ GetReadFD

#define GetReadFD | ( |  | fptr | ) | ((fptr)->fd)

Definition at line 271 of file console.c.

## ◆ GetWriteFD

#define GetWriteFD | ( |  | fptr | ) | get_write_fd(fptr)

Definition at line 282 of file console.c.

## ◆ SET_LAST_ERROR

#define SET_LAST_ERROR (0)

Definition at line 75 of file console.c.

## ◆ sys_fail_fptr

#define sys_fail_fptr | ( |  | fptr | ) | rb_sys_fail_str((fptr)->pathv)

Definition at line 87 of file console.c.

## Function Documentation

## ◆ Init_console()

void Init_console | ( | void |  | ) |

Definition at line 1619 of file console.c.

References id_min, InitVM, and rb_intern().

## ◆ InitVM_console()

void InitVM_console | ( | void |  | ) |

Definition at line 1639 of file console.c.

References console_check_winsize_changed, console_key_pressed_p, rb_cIO, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module_under(), rb_define_singleton_method, and rb_undef_method().